For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get All Inventories
      • GET Get Inventory
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get Inventory Levels Grouped By Lot
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • POST Delete Lot Exclusion
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Create Lot Exclusion

||View as Markdown|
POST
/Experimental/lot-exclusion
POST
/Experimental/lot-exclusion
$curl -X POST https://api.shipbob.com/Experimental/lot-exclusion \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "lot_number": "string",
> "inventory_id": 123,
> "lot_date": "2019-08-24T14:15:22+00:00",
> "sku": "string"
>}'
1{
2 "created_timestamp": "2019-08-24T14:15:22+00:00",
3 "id": 1,
4 "inventory_id": 123,
5 "is_deleted": false,
6 "lot_date": "2019-08-24T14:15:22+00:00",
7 "lot_number": "string"
8}
Creates a new lot exclusion for a specific inventory item. Excludes a lot number from being fulfilled for the given inventory.
Was this page helpful?
Previous

Get Lot Exclusions

Next

Restore Lot Exclusion

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

lot_numberstringRequired
The lot number to exclude from fulfillment
inventory_idintegerOptional
Unique identifier of the inventory item, either this or sku must be provided
lot_datedatetimeOptional
The date associated with the lot
skustringOptional

SKU of the inventory item, either this or inventory_id must be provided

Response

Lot exclusion successfully created
created_timestampdatetime
Timestamp when the lot exclusion was created
deleted_timestampdatetime
Timestamp when the lot exclusion was deleted, null if active
idinteger
Unique identifier of the created lot exclusion
inventory_idinteger
Unique identifier of the inventory item
is_deletedboolean

Whether the lot exclusion has been soft-deleted

lot_datedatetime
The date associated with the excluded lot
lot_numberstring
The lot number excluded from fulfillment

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error
503
Service Unavailable Error